RECSEL(1)

BEZEICHNUNG
recsel - Datensätze aus einer REC-Datei ausgeben

ÜBERSICHT
recsel [OPTION] … [-t TYP] [-j FELD] [-n INDIZES | -e AUSW_AUSDR | -q ZEICHENKETTE | -m ZAHL] [-c | (-p|-P) FELD_AUSDR] [DATEI] …

BESCHREIBUNG
REC-Daten auswählen und ausgeben.

-d, --include-descriptors
    Datensatzdeskriptoren mit den übereinstimmenden Datensätzen ausgeben.

-C, --collapse
    Ergebnis in Datensätzen nicht in neue Zeile umbrechen.

-S, --sort=FELD, …
    Ausgabe anhand der angegebenen Felder sortieren.

-G, --group-by=FELD, …
    Datensätze anhand der angegebenen Felder gruppieren.

-U, --uniq
    Feldduplikate in ausgegebenen Datensätzen entfernen.

-s, --password=ZEICHENKETTE
    Vertrauliche Felder mit dem angegebenen Passwort entschlüsseln.

--help
    Hilfe ausgeben und beenden.

--version
    Version anzeigen und beenden.

  Optionen zur Datensatzauswahl:

-i, --case-insensitive
    Groß- oder Kleinschreibung in Auswahlausdrücken nicht beachten.

-t, --type=TYP
    Nur auf Datensätze des angegebenen Typs anwenden.

-e, --expression=DATENS_AUSDR
    Auswahlausdruck.

-q, --quick=ZEICHENKETTE
    Datensätze mit Feldern auswählen, die eine Zeichenkette enthalten.

-n, --number=ZAHL,…
    Bestimmte Datensätze nach Position auswählen, mit Bereichsangabe.

-m, --random=ZAHL
    Eine angegebene Zahl von Datensätzen zufällig auswählen.

-j, --join=FELD
    Eine innere Verknüpfung mit dem angegebenen Feld ausführen.

  Ausgabeoptionen:

-p, --print=FELDER
    Kommagetrennte Liste von Feldern, die für jeden übereinstimmenden Datensatz auszugeben sind.

-P, --print-values=FELDER
    Wie-p, aber die Werte der ausgewählten Felder ausgeben.

-R, --print-row=FELDER
    Wie -P, aber ausgegebene Werte durch Leerzeichen anstatt durch Zeilenumbrüche trennen.

-c, --count
    Anzahl der übereinstimmenden Datensätze anstelle der Datensätze selbst ausgeben.

  Spezielle Optionen:

-S, --print-sexps
    Daten im SEXPS- anstelle des REC-Formats ausgeben.

AUTOR
Geschrieben von Jose E. Marchesi.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-recutils@gnu.org
Website der GNU Recutils: <https://www.gnu.org/software/recutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für recsel wird als Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und recsel auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info recutils

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).